[ARVADOS-DEV] updated: ec20588004bb3058243fa799c8e962568a0be44c
git at public.curoverse.com
git at public.curoverse.com
Wed Dec 10 17:42:29 EST 2014
Summary of changes:
jenkins/run-tests.sh | 12 ++++++------
1 file changed, 6 insertions(+), 6 deletions(-)
via ec20588004bb3058243fa799c8e962568a0be44c (commit)
from 7b41632216dcdc83aba5bc48b61189f705bd3e97 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit ec20588004bb3058243fa799c8e962568a0be44c
Author: Tom Clegg <tom at curoverse.com>
Date: Wed Dec 10 17:42:40 2014 -0500
4156: Do not use --user-install -- just install to the GEM_HOME we selected.
diff --git a/jenkins/run-tests.sh b/jenkins/run-tests.sh
index 6d8c1c3..d5ba4a8 100755
--- a/jenkins/run-tests.sh
+++ b/jenkins/run-tests.sh
@@ -209,10 +209,10 @@ echo "Will install dependencies to $GEM_HOME"
echo "Will install arvados gems to $tmpdir_gem_home"
echo "Gem search path is GEM_PATH=$GEM_PATH"
-if ! which bundler >/dev/null
-then
- gem install --user-install bundler || fatal 'Could not install bundler'
-fi
+# If installing to $tmpdir_gem_home does not work, we'd like to fail
+# early.
+GEM_HOME="$tmpdir_gem_home" gem install bundler \
+ || fatal 'Could not install bundler'
export GOPATH
mkdir -p "$GOPATH/src/git.curoverse.com"
@@ -315,7 +315,7 @@ install_ruby_sdk() {
cd "$WORKSPACE/sdk/ruby" \
&& bundle install --no-deployment \
&& gem build arvados.gemspec \
- && GEM_HOME="$tmpdir_gem_home" gem install --user-install --no-ri --no-rdoc `ls -t arvados-*.gem|head -n1`
+ && GEM_HOME="$tmpdir_gem_home" gem install --no-ri --no-rdoc `ls -t arvados-*.gem|head -n1`
}
do_install ruby_sdk
@@ -323,7 +323,7 @@ install_cli() {
cd "$WORKSPACE/sdk/cli" \
&& bundle install --no-deployment \
&& gem build arvados-cli.gemspec \
- && GEM_HOME="$tmpdir_gem_home" gem install --user-install --no-ri --no-rdoc `ls -t arvados-cli-*.gem|head -n1`
+ && GEM_HOME="$tmpdir_gem_home" gem install --no-ri --no-rdoc `ls -t arvados-cli-*.gem|head -n1`
}
do_install cli
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list